# Created by pyp2rpm-3.3.8
%global pypi_name sphinx-version-warning

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 3
Summary:        Sphinx extension to add a warning banner
Group:          Development/Python
License:        None
URL:            https://github.com/humitos/sphinx-version-warning
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Sphinx Version Warning is a Sphinx extension that allows you to show a
*Warning* banner at the top of your documentation. The banner is shown based on
the version that is displayed compared (using SemVer_) with the latest version
on the server.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Sphinx Version Warning is a Sphinx extension that allows you to show a
*Warning* banner at the top of your documentation. The banner is shown based on
the version that is displayed compared (using SemVer_) with the latest version
on the server.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files versionwarning

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 1.1.2-3.mga10
+ Revision: 2158770
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 1.1.2-2.mga10
+ Revision: 2035991
- rebuild for python 3.12

* Wed Sep 07 2022 wally <wally> 1.1.2-1.mga9
+ Revision: 1884974
- imported package python-sphinx-version-warning

